Package com.smartgwt.client.types

# Enum MultiUpdatePolicy

java.lang.Object
java.lang.Enum<MultiUpdatePolicy>
com.smartgwt.client.types.MultiUpdatePolicy

All Implemented Interfaces:
  `ValueEnum`, `Serializable`, `Comparable<MultiUpdatePolicy>`, `Constable`

public enum MultiUpdatePolicy extends Enum<MultiUpdatePolicy> implements ValueEnum
Controls when primary keys are required for "update" and "remove" server operations, when allowMultiUpdate has not been explicitly configured on either the `operationBinding.allowMultiUpdate` or via the server-side API `DSRequest.setAllowMultiUpdate()`.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `ALWAYS`
  having a PK is always required no matter what
  `CLIENTREQUEST`
  having a PK is required for requests that come from the client or are specifically marked via dsRequest.setClientRequest(true)
  `NEVER`
  having a PK is never required, even for requests from a browser.
  `RPCMANAGER`
  having a PK is required for any request that is associated with an RPCManager, which includes clientRequests and server-created DSRequests where an RPCManager was explicitly provided

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getValue()`
  `static MultiUpdatePolicy`
  `valueOf(String name)`
  Returns the enum constant of this type with the specified name.
  `static MultiUpdatePolicy[]`
  `values()`
  Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### NEVER

    public static final MultiUpdatePolicy NEVER
    having a PK is never required, even for requests from a browser. Note: dangerous setting that allows end users to wipe out entire tables

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "never".

  - ### CLIENTREQUEST

    public static final MultiUpdatePolicy CLIENTREQUEST
    having a PK is required for requests that come from the client or are specifically marked via dsRequest.setClientRequest(true)

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "clientRequest".

  - ### RPCMANAGER

    public static final MultiUpdatePolicy RPCMANAGER
    having a PK is required for any request that is associated with an RPCManager, which includes clientRequests and server-created DSRequests where an RPCManager was explicitly provided

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "rpcManager".

  - ### ALWAYS

    public static final MultiUpdatePolicy ALWAYS
    having a PK is always required no matter what

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "always".

- ## Method Details

  - ### values

    public static MultiUpdatePolicy[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static MultiUpdatePolicy valueOf(String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum type has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getValue

    public String getValue()
    Specified by:
      `getValue` in interface `ValueEnum`